Author Topic: 1.3-beta - Settings > PGP Keys leads to PHP error  (Read 1592 times)

Offline DougBarton

  • Newbie
  • *
  • Posts: 7
1.3-beta - Settings > PGP Keys leads to PHP error
« on: April 08, 2017, 01:09:55 PM »
I'm trying the 1.3 beta and when I attempt to go to the PGP Keys tab on the Settings menu I get this:

Parse error: syntax error, unexpected 'px' (T_STRING) in /var/www/roundcubemail/program/include/rcmail_output_html.php(997) : runtime-created function on line 1

I have an existing keyring there that worked with version 1.2.4. Happy to try suggestions, patches, etc.

Doug

Offline alec

  • Hero Member
  • *****
  • Posts: 1,152
Re: 1.3-beta - Settings > PGP Keys leads to PHP error
« Reply #1 on: April 08, 2017, 01:18:17 PM »

Offline DougBarton

  • Newbie
  • *
  • Posts: 7
Re: 1.3-beta - Settings > PGP Keys leads to PHP error
« Reply #2 on: April 08, 2017, 02:26:28 PM »
Thank you, that fixed it.  :)

I'm not seeing any way to download a key that I don't have to verify a signature though. Someone told me that feature would be included in the 1.3 beta, which is one of the reasons I'm trying it. Am I missing something?

Also, I'm not seeing that the plugin handles PGP/MIME signatures. Am I correct on that?

And one last question, will the RC be posted to the -announce mailing list?

Thanks!

Doug

Offline alec

  • Hero Member
  • *****
  • Posts: 1,152
Re: 1.3-beta - Settings > PGP Keys leads to PHP error
« Reply #3 on: April 09, 2017, 01:42:21 AM »
Sorry, my mistake. The feature is not implemented yet. https://github.com/roundcube/roundcubemail/issues/5314. The key search is implemented only in mail compose.

PGP/MIME signatures should work. The realase will be announced on the mailing list, I suppose.